HubstaffDeveloper Portal

Folders

Organize projects into folders

List folders

GET/v1/folders

Returns a collection of folders.

Parameters

NameInTypeDescription
page_start_id
queryinteger (int32)
The page start ID.
page_limit
queryinteger (int32)
The default page size

Responses

200A list of folders
object
  • foldersarray
    array<object>
    items
    object

    folder model

    • idinteger
    • namestring
    • folder_typestring
    • organization_idinteger
    • created_atstring
    • updated_atstring
Example response
json
{
  "folders": [
    {
      "id": 0,
      "name": "string",
      "folder_type": "string",
      "organization_id": 0,
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T10:30:00Z"
    }
  ]
}
400Invalid parameters
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
401Unauthorized
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
403API access is only for organizations on an active plan
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
404Could not find record
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
429Rate limit exceeded
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}

Get folder

GET/v1/folders/{folder_id}

Returns the folder with the given ID.

Parameters

NameInTypeDescription
folder_idrequired
pathinteger (int32)
A folder ID

Responses

200A folder
object
  • folderobject
    object

    folder model

    • idinteger
    • namestring
    • folder_typestring
    • organization_idinteger
    • created_atstring
    • updated_atstring
Example response
json
{
  "folder": {
    "id": 0,
    "name": "string",
    "folder_type": "string",
    "organization_id": 0,
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-01-15T10:30:00Z"
  }
}
400Invalid parameters
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
401Unauthorized
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
403API access is only for organizations on an active plan
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
404Could not find record
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
429Rate limit exceeded
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}

List organization folders

GET/v1/organizations/{organization_id}/folders

Returns a collection of folders for the given organization.

Parameters

NameInTypeDescription
page_start_id
queryinteger (int32)
The page start ID.
page_limit
queryinteger (int32)
The default page size
organization_idrequired
pathinteger (int32)
An organization ID

Responses

200A list of folders
object
  • foldersarray
    array<object>
    items
    object

    folder model

    • idinteger
    • namestring
    • folder_typestring
    • organization_idinteger
    • created_atstring
    • updated_atstring
Example response
json
{
  "folders": [
    {
      "id": 0,
      "name": "string",
      "folder_type": "string",
      "organization_id": 0,
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T10:30:00Z"
    }
  ]
}
400Invalid parameters
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
401Unauthorized
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
403API access is only for organizations on an active plan
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
404Could not find record
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
429Rate limit exceeded
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}

Create folder

POST/v1/organizations/{organization_id}/folders

Creates a new folder for the given organization.

Returns the created folder.

Parameters

NameInTypeDescription
organization_idrequired
pathinteger (int32)
An organization ID

Request body

object
  • folder[name]string required
  • folder[folder_type]string required

Responses

201A folder
object
  • folderobject
    object

    folder model

    • idinteger
    • namestring
    • folder_typestring
    • organization_idinteger
    • created_atstring
    • updated_atstring
Example response
json
{
  "folder": {
    "id": 0,
    "name": "string",
    "folder_type": "string",
    "organization_id": 0,
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-01-15T10:30:00Z"
  }
}
400Invalid parameters
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
401Unauthorized
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
403API access is only for organizations on an active plan
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
404Could not find record
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
429Rate limit exceeded
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}